%global srcname accepts

Name:               nodejs-%{srcname}
Version:            1.3.3
Release:            2%{?dist}
Summary:            Node.js module for content type negiotation
License:            MIT
URL:                https://github.com/jshttp/accepts
Source0:            https://github.com/jshttp/%{srcname}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch
BuildRequires:      nodejs-packaging
BuildRequires:      npm(mime-types)
BuildRequires:      npm(negotiator)
BuildRequires:      npm(mocha)

%description
Higher level content negotiation based on negotiator. Extracted from koa for
general use.

%prep
%autosetup -n %{srcname}-%{version}
%nodejs_fixdep mime-types '2.x'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha --reporter spec --check-leaks test/

%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 17 2017 <piotr1212@gmail.com> - 1.3.3-1
- Initial package
